## Deuxième réunion de travail

Date : 10h le samedi 16 mai 2020

Lieu : [jitsi.deuxfleurs.fr/asso](https://jitsi.deuxfleurs.fr/asso)

## Ordre du jour

- Présentation des objectifs pour proposer des services numériques (proposition) :
  - contre les dérives du numérique, concrètement :
    - économie de l'attention
    - économie de la surveillance
    - consommation excessive (obsolescence, incompatibilités, gadgets)
  - éthiques:
    - protection vie privée:
      - on ne partage pas - dans les limites de la loi - ce que vous voulez garder pour vous
      - on utilise le plus possible la cryptographie de bout en bout (e2ee) (*expliquer pourquoi c'est mieux que la confiance*)
    - protection libertés:
      - on ne censure pas - dans les limites de la loi - ce que vous voulez partager
      - ne vous manipule pas
        - on répond à un besoin, on fournit des outils
        - on n'essaye pas d'augmenter le temps passé sur nos services
        - on ne propose pas de recommandations automatisées ou d'algorithmes "boite noire" dont le fonctionnement serait inconnu ou inexplicable
        - on valorise la transparence, tout est public par défaut (comme nos compte-rendus d'AG ou notre documentation technique)
      - promeut la sobriété numérique:
        - on réutilise du vieux matériel tant qu'on peut
        - on optimise le logiciel
  - solidaires ([définition 2 du CNRTL](https://www.cnrtl.fr/definition/solidaire), peut etre pas le bon mot)
    - choix de services grand public (jitsi plutôt que mumble, matrix plutot que IRC, etc.)
    - documentation / aide pour l'utilisation de ces services
    - valoriser et légitimer l'accompagnement humain dans l'usage des services, mis en valeur par le choix du parrainage.
  - participatif
    - mettre en commun le savoir
      - Déploiement de Jitsi
    - mettre en commun le code
      - Code publié sous license libre
    - mettre en commun les infrastructures
      - backups chez Maximilien
      - git chez Adrien
      - matrix chez Quentin
    - faire les choix collectivement, diluer le pouvoir
      - association collégiale
- Temps de discussion avec les nouveaux / invités
- Debrief des deux mois
  - Déploiement du site web
  - Déploiement et debug du Jitsi
    - Manque de doc : gestion du TURN
    - User and Developer Experience pretty bad
    - Problème avec le traitement de l'audio : voix féminines coupées
    - Succès dans mon entourage
    - Échec sur l'ADSL
    - Conclusion : la pire solution de VoIP à l'exception de toutes les autres !
  - Développement de Garage
    - Soucis de congestion entre datacenters: gestion des connexions sortantes à améliorer
    - Opérations de suppression: TODO garder les vieilles versions pour un certain temps (30 jours) pour éviter toute fausse manip
    - Ça semble fonctionner bien avec NextCloud
    - Est-on prêts à se lancer dans un test grandeur nature ?
- Interconnectons nos infrastructures. [Plus d'informations par ici](/Technique/Jalon/Interconnexion.html)
- La foire à l'espace disque : échangeons nos backups !
  - Quels espaces sont déjà disponibles ?
  - Quels projets de développement ? (Adrien se paiera un NAS, un jour. Max a fourni un serveur à installer.)
    - Mes parents (Adrien) ont un Synology. Ca sert à autre chose que le chauffage ? Ya moyen de l'exploiter ?
- Le site web
  - Problèmes :
    - UI pas responsive (ça reste lisible néanmoins)
      - Quentin : Problème réglé
    - Esthétique à améliorer : je veux des roses cyberpunk.
      - On connaît des designers motivés ?
    - Contenu fouillis, manque de contexte
      - Réfléchir à une structure
  - Quels sont les objectifs et contraintes du site ?
    - Quentin mentionnait un besoin de fonctionner sans JS, une page légère... On pourrait en discuter et mettre ça au propre ?
      - Quentin : [Comment créer un site web basse technologie](https://solar.lowtechmagazine.com/fr/2018/09/how-to-build-a-lowtech-website.html) : ici ce n'est pas l'économie d'énergie du serveur qui nous intéresse mais une compatibilité fluide avec les vieux terminaux et les mauvaises connectivités mobiles. Je sais de quoi je parle, mes parents ont un ADSL de piètre qualité.
      - Quentin : C'est d'autant plus important qu'en favorisant de vieille machines derrière des connexions domestique, on a une contrainte de départ plus forte sur le matériel et on a pas de CDN pour masquer le manque d'opti/lourdeur du site web traditionnel
    - Adrien dit : "Fuck SCSS/SASS, vive CSS"
  - Framework HTML/CSS
    - "cross-browser consistency" au minimum ([normalize.css](http://nicolasgallagher.com/about-normalize-css/))
    - responsive design & utilities ([Foundation](https://get.foundation/sites/docs/), [Pure](https://purecss.io/), Bootstrap... Adrien connaît bien Foundation, un truc comme Pure serait plus léger)
    - Quentin : À voir ce que les frameworks apportent de plus une fois un reset CSS + flexbox + media queries en place. Qui plus est, tout n'est pas configurable dans bootstrap et on se retrouve vite à empiler des hacks.
  - On fait un blog ?
    - J'ai (Adrien) quelques projets de guides et d'articles sur les libertés numériques - j'imagine que vous aussi. On pourrait proposer des articles sur blog.deuxfleurs.fr, et/ou faire un agrégateur de nos propres blogs (si vous en avez tous un, moi pas).
    - Quentin : Dans l'absolu si on peut faire le blog sur la meme plateforme que le site web, je trouverais ça bien. Sinon, un truc à penser ce serait ActivityPub pour que les gens puissent suivre le blog dans leur Mastodon par exemple, aka le Fediverse.
    - Quentin : Voir si blog peut être sur Mobilizon et déployer une instance de ce dernier donc si on veut de l'ActivityPub et qu'on peut pas l'intégrer sur le site statique.

*N'hésitez pas à compléter ce document en modifiant le fichier `src/Association/Réunion_2.md` du [dépôt du site Deuxfleurs](https://git.deuxfleurs.fr/Deuxfleurs/site)*
